diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js b/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
index 9f59cc3d..94fc342c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/static/js/extension.js
@@ -1,8 +1,8 @@
 define('pgadmin.node.extension', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
   'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
-  'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser) {
+  'pgadmin.backform', 'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform) {
 
   /*
    * Create and Add an Extension Collection into nodes
@@ -12,14 +12,14 @@ define('pgadmin.node.extension', [
    *   columns - List of columns to show under under properties.
    */
   if (!pgBrowser.Nodes['coll-extension']) {
-    var extensions = pgAdmin.Browser.Nodes['coll-extension'] =
+    pgAdmin.Browser.Nodes['coll-extension'] =
       pgAdmin.Browser.Collection.extend({
         node: 'extension',
         label: gettext('Extension'),
         type: 'coll-extension',
-        columns: ['name', 'owner', 'comment']
+        columns: ['name', 'owner', 'comment'],
       });
-  };
+  }
 
   /*
    * Create and Add an Extension Node into nodes
@@ -63,19 +63,19 @@ define('pgadmin.node.extension', [
           name: 'create_extension_on_coll', node: 'coll-extension', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Extension...'),
-          icon: 'wcTabIcon icon-extension', data: {action: 'create'}
+          icon: 'wcTabIcon icon-extension', data: {action: 'create'},
         },{
           name: 'create_extension', node: 'extension', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Extension...'),
-          icon: 'wcTabIcon icon-extension', data: {action: 'create'}
+          icon: 'wcTabIcon icon-extension', data: {action: 'create'},
         },{
           name: 'create_extension', node: 'database', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Extension...'),
           icon: 'wcTabIcon icon-extension', data: {action: 'create'},
-          enable: pgBrowser.Nodes['database'].is_conn_allow
-        }
+          enable: pgBrowser.Nodes['database'].is_conn_allow,
+        },
         ]);
       },
 
@@ -93,8 +93,8 @@ define('pgadmin.node.extension', [
             },
             transform: function(data, cell) {
               var res = [],
-                  control = cell || this,
-                  label = control.model.get('name');
+                control = cell || this,
+                label = control.model.get('name');
 
               if (!control.model.isNew()) {
                 res.push({label: label, value: label});
@@ -112,7 +112,7 @@ define('pgadmin.node.extension', [
                        * convert Array Object as [Object] string
                        */
                       res.push({label: d.name, value: JSON.stringify(d)});
-                  })
+                  });
                 }
               }
               return res;
@@ -128,7 +128,7 @@ define('pgadmin.node.extension', [
             control: Backform.NodeAjaxOptionsControl.extend({
               getValueFromDOM: function() {
                 var data = this.formatter.toRaw(
-                  _.unescape(this.$el.find("select").val()), this.model);
+                  _.unescape(this.$el.find('select').val()), this.model);
                 /*
                  * return null if data is empty to prevent it from
                  * throwing parsing error. Adds check as name can be empty
@@ -147,35 +147,37 @@ define('pgadmin.node.extension', [
                * set attributes values into the model
                */
               onChange: function() {
-                Backform.NodeAjaxOptionsControl.prototype.onChange.apply(this, arguments);
-                var selectedValue = this.$el.find("select").val();
-                if (selectedValue.trim() != "") {
+                Backform.NodeAjaxOptionsControl.prototype.onChange.apply(
+                  this, arguments
+                );
+                var selectedValue = this.$el.find('select').val();
+                if (selectedValue.trim() != '') {
                   var d = this.formatter.toRaw(selectedValue, this.model);
                   if(typeof(d) === 'string')
                     d=JSON.parse(d);
-                  var changes = {
+                  this.model.set({
                     'version' : '',
                     'relocatable': (
-                        (!_.isNull(d.relocatable[0]) && !_.isUndefined(d.relocatable[0])) ?
-                        d.relocatable[0]: '')
-                    };
-                  this.model.set(changes);
-                }
-                else {
-                  var changes = {'version': '', 'relocatable': true, 'schema': ''};
-                  this.model.set(changes);
+                      (!_.isNull(d.relocatable[0]) &&
+                        !_.isUndefined(d.relocatable[0])) ? d.relocatable[0]: ''
+                    ),
+                  });
+                } else {
+                  this.model.set({
+                    'version': '', 'relocatable': true, 'schema': '',
+                  });
                 }
               },
-            })
+            }),
           },
           {
             id: 'eid', label: gettext('OID'), cell: 'string',
-            type: 'text', disabled: true, mode: ['properties']
+            type: 'text', disabled: true, mode: ['properties'],
           },
           {
             id: 'owner', label: gettext('Owner'), control: 'node-list-by-name',
             mode: ['properties'], node: 'role', cell: 'string',
-            cache_level: 'server'
+            cache_level: 'server',
           },
           {
             id: 'schema', label: gettext('Schema'), type: 'text',
@@ -188,7 +190,7 @@ define('pgadmin.node.extension', [
                * attribute is True or False
                */
               return (m.has('relocatable') ? !m.get('relocatable') : false);
-            }
+            },
           },
           {
             id: 'relocatable', label: gettext('Relocatable?'), cell: 'switch',
@@ -196,8 +198,8 @@ define('pgadmin.node.extension', [
             options: {
               'onText': gettext('Yes'), 'offText': gettext('No'),
               'onColor': 'success', 'offColor': 'primary',
-              'size': 'small'
-            }
+              'size': 'small',
+            },
           },
           {
             id: 'version', label: gettext('Version'), cell: 'string',
@@ -207,8 +209,8 @@ define('pgadmin.node.extension', [
             // Transform the data into version for the selected extension.
             transform: function(data, cell) {
               var res = [],
-                  control = cell || this,
-                  extension = control.model.get('name');
+                control = cell || this,
+                extension = control.model.get('name');
 
               _.each(data, function(dt) {
                 if(dt.name == extension) {
@@ -220,12 +222,12 @@ define('pgadmin.node.extension', [
                 }
               });
               return res;
-            }
+            },
           },
           {
             id: 'comment', label: gettext('Comment'), cell: 'string',
-            type: 'multiline', disabled: true
-          }
+            type: 'multiline', disabled: true,
+          },
         ],
         validate: function() {
 
@@ -247,10 +249,10 @@ define('pgadmin.node.extension', [
             this.errorModel.unset('name');
           }
           return null;
-        }
-      })
-    })
-  };
+        },
+      }),
+    });
+  }
 
   return pgBrowser.Nodes['coll-extension'];
 });
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
index 32ffadb4..2548eb89 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/static/js/foreign_server.js
@@ -1,52 +1,52 @@
 define('pgadmin.node.foreign_server', [
   'sources/gettext', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
-  'pgadmin.browser', 'alertify', 'pgadmin.browser.collection',
-  'pgadmin.browser.server.privilege'
-], function(gettext, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'pgadmin.browser', 'pgadmin.backform', 'pgadmin.browser.collection',
+  'pgadmin.browser.server.privilege',
+], function(gettext, $, _, S, pgAdmin, pgBrowser, Backform) {
 
   // Extend the browser's node model class to create a Options model
   var OptionsModel = pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'fsrvoption',
-        defaults: {
-          fsrvoption: undefined,
-          fsrvvalue: undefined
-        },
+    idAttribute: 'fsrvoption',
+    defaults: {
+      fsrvoption: undefined,
+      fsrvvalue: undefined,
+    },
 
         // Defining schema for the Options model
-        schema: [
+    schema: [
           {id: 'fsrvoption', label: gettext('Options'), type:'text', cellHeaderClasses:'width_percent_50', group: null, editable: true},
           {id: 'fsrvvalue', label: gettext('Value'), type: 'text', cellHeaderClasses:'width_percent_50', group:null, editable: true},
-        ],
+    ],
 
         /* validate function is used to validate the input given by
          * the user. In case of error, message will be displayed on
          * the browser for the respective control.
          */
-        validate: function() {
+    validate: function() {
           // Validation for the option name
-          if (_.isUndefined(this.get('fsrvoption')) ||
+      if (_.isUndefined(this.get('fsrvoption')) ||
             _.isNull(this.get('fsrvoption')) ||
             String(this.get('fsrvoption')).replace(/^\s+|\s+$/g, '') == '') {
-            var msg = 'Please enter an option name';
-            this.errorModel.set('fsrvoption', msg);
-            return msg;
-          } else {
-            this.errorModel.unset('fsrvoption');
-          }
-          return null;
-        }
-    });
+        var msg = 'Please enter an option name';
+        this.errorModel.set('fsrvoption', msg);
+        return msg;
+      } else {
+        this.errorModel.unset('fsrvoption');
+      }
+      return null;
+    },
+  });
 
   // Extend the browser's collection class for foreign server collection
   if (!pgBrowser.Nodes['coll-foreign_server']) {
-    var foreign_data_wrappers = pgAdmin.Browser.Nodes['coll-foreign_server'] =
+    pgAdmin.Browser.Nodes['coll-foreign_server'] =
       pgAdmin.Browser.Collection.extend({
         node: 'foreign_server',
         label: gettext('Foreign Servers'),
         type: 'coll-foreign_server',
-        columns: ['name','fsrvowner','description']
+        columns: ['name','fsrvowner','description'],
       });
-  };
+  }
 
   // Extend the browser's node class for foreign server node
   if (!pgBrowser.Nodes['foreign_server']) {
@@ -64,7 +64,7 @@ define('pgadmin.node.foreign_server', [
 
         // Avoid multiple registration of menus
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -75,18 +75,18 @@ define('pgadmin.node.foreign_server', [
           name: 'create_foreign_server_on_coll', node: 'coll-foreign_server', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Foreign Server...'),
-          icon: 'wcTabIcon icon-foreign_server', data: {action: 'create'}
+          icon: 'wcTabIcon icon-foreign_server', data: {action: 'create'},
         },{
           name: 'create_foreign_server', node: 'foreign_server', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Foreign Server...'),
-          icon: 'wcTabIcon icon-foreign_server', data: {action: 'create'}
+          icon: 'wcTabIcon icon-foreign_server', data: {action: 'create'},
         },{
           name: 'create_foreign_server', node: 'foreign_data_wrapper', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Foreign Server...'),
-          icon: 'wcTabIcon icon-foreign_server', data: {action: 'create'}
-        }
+          icon: 'wcTabIcon icon-foreign_server', data: {action: 'create'},
+        },
         ]);
       },
 
@@ -100,7 +100,7 @@ define('pgadmin.node.foreign_server', [
           fsrvoptions: [],
           fsrvowner: undefined,
           description: undefined,
-          fsrvacl: []
+          fsrvacl: [],
         },
 
         // Default values!
@@ -118,44 +118,42 @@ define('pgadmin.node.foreign_server', [
         // Defining schema for the foreign server node
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', disabled: function(m) {
-            if (this.mode == 'edit' && this.node_info.server.version < 90200) {
-              return true;
-            }
-            else
-              return false;
-          }
+          type: 'text', disabled: function() {
+            return (
+              this.mode == 'edit' && this.node_info.server.version < 90200
+            );
+          },
         },{
           id: 'fsrvid', label: gettext('OID'), cell: 'string',
-          type: 'text', disabled: true, mode: ['properties']
+          type: 'text', disabled: true, mode: ['properties'],
         },{
           id: 'fsrvowner', label: gettext('Owner'), type: 'text',
           control: Backform.NodeListByNameControl, node: 'role',
-          mode: ['edit', 'create', 'properties'], select2: { allowClear: false }
+          mode: ['edit', 'create', 'properties'], select2: { allowClear: false },
         },{
           id: 'fsrvtype', label: gettext('Type'), cell: 'string',
           group: gettext('Definition'), type: 'text', mode: ['edit','create','properties'], disabled: function(m) {
             return !m.isNew();
-          }
+          },
         },{
           id: 'fsrvversion', label: gettext('Version'), cell: 'string',
-          group: gettext('Definition'), type: 'text'
+          group: gettext('Definition'), type: 'text',
         },{
           id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline'
+          type: 'multiline',
         },{
-          id: 'fsrvoptions', label: gettext('Options'), type: 'collection', group: gettext("Options"),
+          id: 'fsrvoptions', label: gettext('Options'), type: 'collection', group: gettext('Options'),
           model: OptionsModel, control: 'unique-col-collection', mode: ['edit', 'create'],
           canAdd: true, canDelete: true, uniqueCol : ['fsrvoption'],
-          columns: ['fsrvoption','fsrvvalue']
-         }, pgBrowser.SecurityGroupSchema, {
-            id: 'fsrvacl', label: gettext('Privileges'), type: 'collection', group: 'security',
-            model: pgAdmin.Browser.Node.PrivilegeRoleModel.extend({privileges: ['U']}), control: 'unique-col-collection',
-            mode: ['edit', 'create'], canAdd: true, canDelete: true, uniqueCol : ['grantee']
-         },{
+          columns: ['fsrvoption','fsrvvalue'],
+        }, pgBrowser.SecurityGroupSchema, {
+          id: 'fsrvacl', label: gettext('Privileges'), type: 'collection', group: 'security',
+          model: pgAdmin.Browser.Node.PrivilegeRoleModel.extend({privileges: ['U']}), control: 'unique-col-collection',
+          mode: ['edit', 'create'], canAdd: true, canDelete: true, uniqueCol : ['grantee'],
+        },{
           id: 'acl', label: gettext('Privileges'), type: 'text',
-          group: gettext('Security'), mode: ['properties'], disabled: true
-         }
+          group: gettext('Security'), mode: ['properties'], disabled: true,
+        },
         ],
 
         /* validate function is used to validate the input given by
@@ -174,9 +172,9 @@ define('pgadmin.node.foreign_server', [
             this.errorModel.unset('name');
           }
           return null;
-        }
-      })
-  });
+        },
+      }),
+    });
 
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js
index 7a0388b4..8f56e0ce 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/static/js/user_mapping.js
@@ -1,54 +1,55 @@
 define('pgadmin.node.user_mapping', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin',
-  'pgadmin.browser', 'alertify', 'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
+  'underscore.string', 'sources/pgadmin', 'pgadmin.browser',
+  'pgadmin.backform', 'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, Backform) {
 
     // Extend the browser's node model class to create a Options model
-    var OptionsModel = pgAdmin.Browser.Node.Model.extend({
-       idAttribute: 'umoption',
-        defaults: {
-          umoption: undefined,
-          umvalue: undefined
-        },
+  var OptionsModel = pgAdmin.Browser.Node.Model.extend({
+    idAttribute: 'umoption',
+    defaults: {
+      umoption: undefined,
+      umvalue: undefined,
+    },
 
         // Defining schema for the Options model
-        schema: [{
-          id: 'umoption', label: gettext('Options'), type:'text',
-          cellHeaderClasses:'width_percent_50', group: null, editable: true
-        }, {
-          id: 'umvalue', label: gettext('Value'), type: 'text',
-          cellHeaderClasses:'width_percent_50', group:null, editable: true
-        }],
+    schema: [{
+      id: 'umoption', label: gettext('Options'), type:'text',
+      cellHeaderClasses:'width_percent_50', group: null, editable: true,
+    }, {
+      id: 'umvalue', label: gettext('Value'), type: 'text',
+      cellHeaderClasses:'width_percent_50', group:null, editable: true,
+    }],
 
         /* validate function is used to validate the input given by
          * the user. In case of error, message will be displayed on
          * the browser for the respective control.
          */
-        validate: function() {
+    validate: function() {
           // Validation for the option value
-          if (_.isUndefined(this.get('umoption')) ||
+      if (_.isUndefined(this.get('umoption')) ||
             _.isNull(this.get('umoption')) ||
             String(this.get('umoption')).replace(/^\s+|\s+$/g, '') == '') {
-            var msg = 'Please enter an option name';
-            this.errorModel.set('umoption', msg);
-            return msg;
-          } else {
-            this.errorModel.unset('umoption');
-          }
-          return null;
-        }
-    });
+        var msg = 'Please enter an option name';
+        this.errorModel.set('umoption', msg);
+        return msg;
+      } else {
+        this.errorModel.unset('umoption');
+      }
+      return null;
+    },
+  });
 
   // Extend the browser's collection class for user mapping collection
   if (!pgBrowser.Nodes['coll-user_mapping']) {
-    var foreign_data_wrappers = pgAdmin.Browser.Nodes['coll-user_mapping'] =
+    pgAdmin.Browser.Nodes['coll-user_mapping'] =
       pgAdmin.Browser.Collection.extend({
         node: 'user_mapping',
         label: gettext('User Mappings'),
         type: 'coll-user_mapping',
-        columns: ['name']
+        columns: ['name'],
       });
-  };
+  }
 
   // Extend the browser's node class for user mapping node
   if (!pgBrowser.Nodes['user_mapping']) {
@@ -67,7 +68,7 @@ define('pgadmin.node.user_mapping', [
 
         // Avoid multiple registration of menus
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -78,18 +79,18 @@ define('pgadmin.node.user_mapping', [
           name: 'create_user_mapping_on_coll', node: 'coll-user_mapping', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('User Mapping...'),
-          icon: 'wcTabIcon icon-user_mapping', data: {action: 'create'}
+          icon: 'wcTabIcon icon-user_mapping', data: {action: 'create'},
         },{
           name: 'create_user_mapping', node: 'user_mapping', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('User Mapping...'),
-          icon: 'wcTabIcon icon-user_mapping', data: {action: 'create'}
+          icon: 'wcTabIcon icon-user_mapping', data: {action: 'create'},
         },{
           name: 'create_user_mapping', node: 'foreign_server', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('User Mapping...'),
-          icon: 'wcTabIcon icon-user_mapping', data: {action: 'create'}
-        }
+          icon: 'wcTabIcon icon-user_mapping', data: {action: 'create'},
+        },
         ]);
       },
 
@@ -97,7 +98,7 @@ define('pgadmin.node.user_mapping', [
       model: pgAdmin.Browser.Node.Model.extend({
         defaults: {
           name: undefined,
-          um_options: []
+          um_options: [],
         },
 
         // Default values!
@@ -118,25 +119,29 @@ define('pgadmin.node.user_mapping', [
           control: Backform.NodeListByNameControl, node: 'role',
           mode: ['edit', 'create', 'properties'], select2: { allowClear: false },
           disabled: function(m) { return !m.isNew(); },
-          transform: function(data) {
+          transform: function() {
             var self = this,
               node = self.field.get('schema_node');
             var res =
             Backform.NodeListByNameControl.prototype.defaults.transform.apply(
               this, arguments
             );
-            res.unshift({label: 'CURRENT_USER', value: 'CURRENT_USER', image: 'icon-' + node.type},
-                        {label: 'PUBLIC', value: 'PUBLIC', image: 'icon-' + node.type});
+            res.unshift({
+              label: 'CURRENT_USER', value: 'CURRENT_USER',
+              image: 'icon-' + node.type,
+            },{
+              label: 'PUBLIC', value: 'PUBLIC', image: 'icon-' + node.type,
+            });
             return res;
-         }
+          },
         },{
           id: 'um_oid', label: gettext('OID'), cell: 'string',
           type: 'text', disabled: true, mode: ['properties'],
         },{
-          id: 'umoptions', label: gettext('Options'), type: 'collection', group: gettext("Options"),
+          id: 'umoptions', label: gettext('Options'), type: 'collection', group: gettext('Options'),
           model: OptionsModel, control: 'unique-col-collection', mode: ['create', 'edit'],
-          canAdd: true, canDelete: true, uniqueCol : ['umoption']
-        }
+          canAdd: true, canDelete: true, uniqueCol : ['umoption'],
+        },
         ],
 
         /* validate function is used to validate the input given by
@@ -155,9 +160,9 @@ define('pgadmin.node.user_mapping', [
             this.errorModel.unset('name');
           }
           return null;
-        }
-      })
-  });
+        },
+      }),
+    });
 
   }
 
